#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include "spasm.h"
#include "dbfunc.h"

void spasm_error(int syslevel, char *errstr, ...) {
    va_list arglist;

    va_start(arglist, errstr);
    vfprintf(stderr, errstr, arglist);
    fprintf(stderr, "\n");      /* spasm_error args aren't terminated by \n */
    va_end(arglist);
}

int main(int argc, char **argv) {
    spasm_set_filter(argv[1], argv[2], atoi(argv[3]));
    exit(0);
}
